;; -*- mode: emacs-lisp -*-
;;
;; Test config

;; write any temp file where this init file lives
(setq user-init-file (or load-file-name (buffer-file-name)))
(setq user-emacs-directory (file-name-directory user-init-file))

(setq visible-bell 1)
(setq inhibit-splash-screen t)
(setq tool-bar-mode nil)
;; window resizing bindings
(global-set-key [C-iso-lefttab] 'shrink-window-horizontally)
(global-set-key [C-tab] 'enlarge-window-horizontally)
(global-set-key (kbd "C-^") 'shrink-window)
(global-set-key (kbd "C-ì") 'enlarge-window)
(when (fboundp 'windmove-default-keybindings)
	(windmove-default-keybindings 'meta))
(set-default-coding-systems 'utf-8)
(set-terminal-coding-system 'utf-8)
(delete-selection-mode)


(add-to-list 'default-frame-alist '(font . "DejaVu Sans Mono-10"))
(set-face-attribute 'default t :font "DejaVu Sans Mono-10")
(load-theme 'tango-dark t)


(global-set-key (kbd "\C-cl") 'org-store-link)
(global-set-key (kbd "\C-cb") 'org-iswitchb)
(global-set-key	(kbd "\C-ca") 'org-agenda)
(global-set-key	(kbd "\C-cc") 'org-capture)
(require 'org-id)
(require 'org-toc)
(require 'org-tempo)
(setq org-directory "~/.org")
(when (file-exists-p "~/.org")
 (setq org-agenda-files (quote ("~/.org"
                                "~/.org/customers"))))
(setq org-log-done t)
(require 'org-capture)
(setq org-default-notes-file "~/.org/gtd.org")
(setq org-capture-templates nil)
(add-to-list 'org-capture-templates
  '("t" "Todo" 
    entry (file+headline "~/.org/gtd.org" "Tasks")
    "* TODO %?\n  %i\n  %a"))


(require 'elfeed-org)
(elfeed-org)
(setq rmh-elfeed-org-files (list "~/.emacs.d/elfeed.org"))
(global-set-key (kbd "C-x w") 'elfeed)
(setq-default elfeed-search-filter "+unread ")
(add-hook 'elfeed-new-entry-hook
          (elfeed-make-tagger :before "9 weeks ago"
                              :remove 'unread))
